Redmine - Feature #9702

Have a changelog
2011-11-30 16:09 - Hugues De Keyzer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Roadmap Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

The list of past changes can be accessed through the roadmap, but having a default changelog URL (even if it is not in the primary
links) that shows only completed versions (with pagination) would seem more intuitive. A roadmap is more commonly used to look
into the future only.

Related issues:
Is duplicate of Redmine - Feature #7043: Give user ability to generate change... Closed 2010-12-04

History

#1 - 2011-11-30 17:11 - Etienne Massip
- Category set to Roadmap

From a personal POV, | can't see any value added to have a specific changelog page since the roadmap seems pretty easy to read?
#2 - 2011-11-30 17:23 - Hugues De Keyzer

Etienne Massip wrote:

From a personal POV, | can't see any value added to have a specific changelog page since the roadmap seems pretty easy to read?

It would really be more a convenience. Users new to Redmine searching for a changelog will probably not look into the roadmap.

Also, it is not possible to display only the closed versions on the roadmap, which seems logical for a roadmap, but a changelog usually starts with the
latest release, not the versions that are in development.

Moreover, when selecting the “Show completed versions” in the roadmap, it shows all versions on one page, which takes time to load and results in a
very long page.

I’'m thinking about something like the manually created Changelog. If it exists and is updated, it means it has its uses, don’t you think? ;)

#3 - 2011-12-04 23:49 - Mischa The Evil
- Status changed from New to Closed

- Resolution set to Duplicate

Closed as a duplicate of #7043. That one seems to cover this issue the most.

FYI: there once was a dedicated changelog view. It was removed from the core with r3162 as part of #2972. As mentioned in #2972 .note-4 Eric
Davis has ported the old Changelog view to a plugin in response.
https://www.redmine.org/projects/redmine/wiki/Changelog
https://www.redmine.org/issues/7043
https://www.redmine.org/projects/redmine/repository/svn/revisions/3162
https://www.redmine.org/issues/2972
https://www.redmine.org/issues/2972
http://www.redmine.org/issues/2972#note-4
http://github.com/edavis10/redmine_changelogs
http://www.tcpdf.org

